<?php
add_action( 'widgets_init', 'pasargad_tag_widget' );
function pasargad_tag_widget() {
	register_widget( 'tag_posts' );
}
class tag_posts extends WP_Widget {

	function tag_posts() {
		$widget_ops = array( 'classname' => 'tag-widget' );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_tag-widget' );
		$this->WP_Widget( 'pasargad_tag-widget','20_برچسب ها', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_title', $instance['title'] );

?>
		<?php echo $before_widget; ?>
		<?php echo $before_title; ?>
		<?php echo $title ; ?>
		<?php echo $after_title; ?>
		<div class="tag-cloud ">
		<ul class="tags">
		<?php wp_tag_cloud('smallest=8&largest=10&number=12'); ?>
		</ul>
		</div>
		<div class="clear"></div>
	<?php 
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'title' =>__( 'برچسب ها'),  );
		$instance = wp_parse_args( (array) $instance, $defaults );
		?>
<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان : </label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
		</p>

	<?php
	}
}
?>