<?php
/********** 2 Mood post  **********/
function pasargad_random_posts($numberOfPosts = 5 , $thumb = true , $date= true ){
	global $post;
	$orig_post = $post;
	$lastPosts = get_posts('orderby=rand&numberposts='.$numberOfPosts);
	foreach($lastPosts as $post): setup_postdata($post);
?>
<li>
<?php if ( $thumb ) : ?>
<div class="post-thumbnail">
<a href="<?php the_permalink(); ?>" title="<?php the_title();?>" rel="bookmark"><?php if ( get_the_post_thumbnail() ) { ?><img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php get_image_url(); ?>&amp;h=70&amp;w=70&amp;zc=1" title="<?php the_title(); ?>" alt="<?php the_title(); ?>" /><?php } else {?><img src="<?php echo get_template_directory_uri(); ?>/images/no-thumb.png" title="<?php the_title(); ?>" alt="<?php the_title(); ?>" width="70" height="70" /><?php }?></a>
</div>
<?php endif; ?>
<h3><a href="<?php echo get_permalink( $post->ID ) ?>" title="<?php the_title(); ?>" rel="bookmark"><?php echo mb_substr(the_title('', '', FALSE), 0, 100); ?></a></h3>
<?php if ( $date ) : ?>
<span><?php the_time('l ، j F ') ?></span>
<?php endif; ?>
</li>
<?php endforeach;
	$post = $orig_post;
}
function pasargad_last_posts($numberOfPosts = 5 , $thumb = true , $date= true ){
	global $post;
	$orig_post = $post;
	
	$lastPosts = get_posts('no_found_rows=1&suppress_filters=0&numberposts='.$numberOfPosts);
	foreach($lastPosts as $post): setup_postdata($post);
?>
<li>
<?php if ( $thumb ) : ?>
<div class="post-thumbnail">
<a href="<?php the_permalink(); ?>" title="<?php the_title();?>" rel="bookmark"><?php if ( get_the_post_thumbnail() ) { ?><img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php get_image_url(); ?>&amp;h=70&amp;w=70&amp;zc=1" title="<?php the_title(); ?>" alt="<?php the_title(); ?>" /><?php } else {?><img src="<?php echo get_template_directory_uri(); ?>/images/no-thumb.png" title="<?php the_title(); ?>" alt="<?php the_title(); ?>" width="70" height="70" /><?php }?></a></div>
<?php endif; ?>
<h3><a href="<?php echo get_permalink( $post->ID ) ?>" title="<?php the_title(); ?>" rel="bookmark"><?php echo mb_substr(the_title('', '', FALSE), 0, 70); ?></a></h3>
<?php if ( $date ) : ?>
<span><?php the_time('l ، j F ') ?></span>
<?php endif; ?>
</li>
<?php endforeach; 
	$post = $orig_post;
}
/********** Recent Post by Category **********/
function pasargad_last_posts_cat($numberOfPosts = 5 , $thumb = true , $date= true , $cats = 1){
	global $post;
	$orig_post = $post;

	$lastPosts = get_posts('category='.$cats.'&suppress_filters=0&no_found_rows=1&numberposts='.$numberOfPosts);
	foreach($lastPosts as $post): setup_postdata($post);
?>
<li>
<?php if ( $thumb ) : ?>
<div class="post-thumbnail">
<a href="<?php the_permalink(); ?>" title="<?php the_title();?>" rel="bookmark"><?php if ( get_the_post_thumbnail() ) { ?><img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php get_image_url(); ?>&amp;h=70&amp;w=70&amp;zc=1" title="<?php the_title(); ?>" alt="<?php the_title(); ?>" /><?php } else {?><img src="<?php echo get_template_directory_uri(); ?>/images/no-thumb.png" title="<?php the_title(); ?>" alt="<?php the_title(); ?>" width="70" height="70" /><?php }?></a></div>
<?php endif; ?>
<h3><a href="<?php echo get_permalink( $post->ID ) ?>" title="<?php the_title(); ?>" rel="bookmark"><?php echo mb_substr(the_title('', '', FALSE), 0, 70); ?></a></h3>
<?php if ( $date ) : ?>
<span><?php the_time('l ، j F ') ?></span>
<?php endif; ?>
</li>
<?php endforeach;
	$post = $orig_post;
}
/********** popular posts **********/
function pasargad_popular_posts($pop_posts = 5 , $thumb = true , $date= true){
global $post;
$orig_post = $post;
$popularposts = new WP_Query( array( 'orderby' => 'comment_count', 'order' => 'DESC', 'posts_per_page' => $pop_posts, 'post_status' => 'publish', 'no_found_rows' => 1, 'ignore_sticky_posts' => 1  ) );
while ( $popularposts->have_posts() ) : $popularposts->the_post()?>
<li>
<?php if ( $thumb ) : ?>
<div class="post-thumbnail">
<a href="<?php the_permalink(); ?>" title="<?php the_title();?>" rel="bookmark"><?php if ( get_the_post_thumbnail() ) { ?><img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php get_image_url(); ?>&amp;h=70&amp;w=70&amp;zc=1" title="<?php the_title(); ?>" alt="<?php the_title(); ?>" /><?php } else {?><img src="<?php echo get_template_directory_uri(); ?>/images/no-thumb.png" title="<?php the_title(); ?>" alt="<?php the_title(); ?>" width="70" height="70" /><?php }?></a></div>
<?php endif; ?>
<h3><a href="<?php echo get_permalink( $post->ID ) ?>" title="<?php the_title(); ?>" rel="bookmark"><?php echo mb_substr(the_title('', '', FALSE), 0, 70); ?></a></h3>
<?php if ( $date ) : ?>
<span><?php the_time('l ، j F ') ?></span>
<?php endif; ?>
</li>
	<?php 
	endwhile;
	wp_reset_query();
	$post = $orig_post;
}
/********** Recent Comments **********/
function pasargad_most_commented($comment_posts = 5 , $avatar_size = 60){
$comments = get_comments('status=approve&number='.$comment_posts);
foreach ($comments as $comment) { ?>
<li>
<div class="post-thumbnail">
<?php echo get_avatar( $comment, $avatar_size ); ?>
</div>
<a href="<?php echo get_permalink($comment->comment_post_ID ); ?>#comment-<?php echo $comment->comment_ID; ?>">
<?php echo strip_tags($comment->comment_author); ?>: <?php echo wp_html_excerpt( $comment->comment_content, 60 ); ?>... </a>
</li>
<?php } 
}
/********** Most views **********/
function pasargad_views_posts($pop_posts = 5 , $thumb = true , $date= true){
global $post;
$orig_post = $post;
$popularposts = new WP_Query( array( 'orderby' => 'meta_value_num', 'meta_key'=> 'views' , 'order' => 'DESC', 'posts_per_page' => $pop_posts, 'post_status' => 'publish', 'no_found_rows' => 1, 'ignore_sticky_posts' => 1  ) );
while ( $popularposts->have_posts() ) : $popularposts->the_post()?>
<li>
<?php if ( $thumb ) : ?>
<div class="post-thumbnail">
<a href="<?php the_permalink(); ?>" title="<?php the_title();?>" rel="bookmark"><?php if ( get_the_post_thumbnail() ) { ?><img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php get_image_url(); ?>&amp;h=70&amp;w=70&amp;zc=1" title="<?php the_title(); ?>" alt="<?php the_title(); ?>" /><?php } else {?><img src="<?php echo get_template_directory_uri(); ?>/images/no-thumb.png" title="<?php the_title(); ?>" alt="<?php the_title(); ?>" width="70" height="70" /><?php }?></a>
</div>
<?php endif; ?>
<h3><a href="<?php echo get_permalink( $post->ID ) ?>" title="<?php the_title(); ?>" rel="bookmark"><?php echo mb_substr(the_title('', '', FALSE), 0, 70); ?></a></h3>
<?php if ( $date ) : ?>
<span><?php the_time('l ، j F ') ?></span>
<?php endif; ?>
</li>
	<?php 
	endwhile;
	wp_reset_query();
	$post = $orig_post;
}

?>