<?php
add_action( 'widgets_init', 'pasargad_search_widget' );
function pasargad_search_widget() {
	register_widget( 'search' );
}
class search extends WP_Widget {

	function search() {
		$widget_ops = array( 'classname' => 'search-wid'  );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_search-widget' );
		$this->WP_Widget( 'pasargad_search-widget','10_جستجو', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) { 
	extract( $args );
	$title = apply_filters('widget_title', $instance['text_html_title'] );
	?>
<?php echo $before_widget;?>
<?php echo $before_title;?>
<?php echo $title ; ?>
<?php echo $after_title; ?>
<div class="search">
<form method="get" id="searchform" action="<?php echo home_url(); ?>/">	
<input type="text" id="s" name="s" value="کلمه ی مورد نظر خود را در اینجا بنویسید " onclick="this.value=''" class="search-body" />
<input class="search-key" type="submit" value="جستجو"> 
</form>
</div>
<?php 
		echo $after_widget;
	}
function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['text_html_title'] = strip_tags( $new_instance['text_html_title'] );
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'text_html_title' => 'جستجو'  );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		<p>
			<label for="<?php echo $this->get_field_id( 'text_html_title' ); ?>">عنوان : </label>
			<input id="<?php echo $this->get_field_id( 'text_html_title' ); ?>" name="<?php echo $this->get_field_name( 'text_html_title' ); ?>" value="<?php echo $instance['text_html_title']; ?>" type="text" />
		</p>
<?php
	}
}
?>